Bug 1317614 - [RFE] - "hammer info" command should have information related to "Host Status"
Summary: [RFE] - "hammer info" command should have information related to "Host Status"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer - Content
Version: 6.1.7
Hardware: All
OS: All
medium
medium
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 16:41 UTC by Nagoor Shaik
Modified: 2019-10-10 11:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:34:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14829 Normal Closed - "hammer content-host info" command should have information related to "Content Host Status" 2020-01-30 09:38:11 UTC
Red Hat Knowledge Base (Solution) 3375191 None None None 2019-08-19 13:19:02 UTC
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Nagoor Shaik 2016-03-14 16:41:34 UTC
Description of problem:
"hammer content-host info" command should have information related to "Content Host Status" such as below

Registered 12/4/15 12:29 PM
Registered By Activation Key
    RHEL7-key
Checkin 12/4/15 12:33 PM 

Version-Release number of selected component (if applicable):
Satellite 6.1.7
foreman-1.7.2.53-1.el7sat.noarch
katello-2.2.0.18-1.el7sat.noarch

Steps to Reproduce:
1. Execute "hammer content-host info" command

hammer content-host info --id ab449a97-805b-448e-b5c5-ea859445e9e9
Name:                    capsule.example.com
ID:                      ab449a97-805b-448e-b5c5-ea859445e9e9
Katello Agent Installed: yes
Description:             Initial Registration Params
Location:                None
Lifecycle Environment:   Library
Content View:            Default Organization View
Entitlement Status:      valid
Release Version:         
Autoheal:                true
Security Errata:         25
Bugfix Errata:           40
Enhancement Errata:      10

Actual results:
It doesn't display some useful information such as registered time, registered either with a username/password or activation key so on.

Expected results:
we could extract some useful registration info with hammer would nice.

Additional info:

Comment 1 Bryan Kearney 2016-04-26 17:49:08 UTC
Created redmine issue http://projects.theforeman.org/issues/14829 from this bug

Comment 2 Justin Sherrill 2016-06-02 15:43:28 UTC
Note that 'hammer content-host *' is going away, so this should be added to 'hammer host info' or 'hammer host status'

Comment 4 Bryan Kearney 2016-08-10 16:13:48 UTC
Upstream bug component is Content Management

Comment 5 Bryan Kearney 2016-08-10 19:15:00 UTC
Upstream bug component is Hammer - Content

Comment 6 Bryan Kearney 2016-08-10 20:16:05 UTC
Upstream bug component is Content Management

Comment 7 Bryan Kearney 2016-08-10 22:15:43 UTC
Upstream bug component is Hammer - Content

Comment 8 Bryan Kearney 2016-08-26 10:14:38 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 9 Bryan Kearney 2016-08-26 10:14:41 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 10 Bryan Kearney 2016-09-08 14:14:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/14829 has been resolved.

Comment 16 errata-xmlrpc 2018-02-21 12:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.